<?php

namespace STM\Match\Action\Team;

use STM\StmFactory;

/**
 * Test class for MatchTeamAction.
 * Generated by PHPUnit on 2012-07-11 at 17:29:30.
 * @group match_action
 */
class MatchTeamActionTest extends \PHPUnit_Framework_TestCase {

    private $match;
    private $action;
    
    protected function setUp() {
        $this->match = StmFactory::find()->Match->findById (1);
        $this->action = StmFactory::find()->MatchAction->findById(1);
    }

    public function testFind_by_match() {
        if ($this->match) {
            parent::assertTrue(is_array(StmFactory::find()->MatchTeamAction->findByMatch($this->match)));
        }
    }

    public function testFind_by_action() {
        if ($this->action) {
            parent::assertTrue(is_array(StmFactory::find()->MatchTeamAction->findByAction($this->action)));
        }
    }

    public function testfindById() {
        if ($this->action && $this->match) {
            $team_action = StmFactory::find()->MatchTeamAction->findById($this->match, $this->action);
            if ($team_action) {
                parent::assertInstanceOf('\STM\Match\Action\Team\MatchTeamAction', $team_action);
            }
        }
    }

    public function testCreate() {
        parent::markTestSkipped('test in MatchTeamActionValidatorTest');
    }


    public function testDelete() {
        parent::markTestSkipped('Only DB fail');
    }

    public function testUpdate() {
        parent::markTestSkipped('test in MatchTeamActionValidatorTest');
    }

}

?>